Striker should respect TitleBlacklist bans on new account names
Closed, ResolvedPublic

bd808 created this task.Sep 29 2016, 8:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2016, 8:10 PM
bd808 moved this task from Backlog to Ready on the Striker board.Sep 29 2016, 9:38 PM
bd808 added a subscriber: Legoktm.EditedSep 29 2016, 11:15 PM

Based on T110751#2298602 it sounds like action=query&list=users&usprop=cancreate is the right way to check all of the various creation blocks that might be in place. That API doesn't have an equivalent of titleblacklist's tbnooverride parameter, so it seems like it should be called as an anon to ensure that the calling user's on-wiki rights don't mask something that would normally not be allowed.

h/t to @Legoktm for pointing me to this

We should add an ip block check as well. The OAuth step of account creation will check for a block on meta (or whatever wiki is used for the OAuth grant), but the requesting ip could be blocked on Wikitech separately. An ip block can be checked with action=query&list=blocks&bkip=x.x.x.x

bd808 moved this task from Backlog to Ready on the Community-Tech-Tool-Labs board.Oct 4 2016, 7:31 PM

Change 314220 had a related patch set uploaded (by BryanDavis):
Striker: Add Titleblacklist as dependency

https://gerrit.wikimedia.org/r/314220

Change 314220 merged by jenkins-bot:
Striker: Add Titleblacklist as dependency

https://gerrit.wikimedia.org/r/314220

bd808 moved this task from Ready to Doing on the Striker board.Oct 14 2016, 10:41 PM

Change 316025 had a related patch set uploaded (by BryanDavis):
Validate new usernames with action=query&list=users&usprop=cancreate

https://gerrit.wikimedia.org/r/316025

Change 316026 had a related patch set uploaded (by BryanDavis):
Check request ip for account creation blocks on Wikitech

https://gerrit.wikimedia.org/r/316026

bd808 moved this task from To Do to Needs Review/Feedback on the User-bd808 board.Oct 17 2016, 3:20 PM

Change 316025 merged by jenkins-bot:
Validate new usernames with action=query&list=users&usprop=cancreate

https://gerrit.wikimedia.org/r/316025

Change 316026 merged by jenkins-bot:
Check request ip for account creation blocks on Wikitech

https://gerrit.wikimedia.org/r/316026

Change 325814 had a related patch set uploaded (by BryanDavis):
Bump static, striker, and wheels submodules

https://gerrit.wikimedia.org/r/325814

bd808 moved this task from Ready to Doing on the Community-Tech-Tool-Labs board.Dec 15 2016, 5:44 PM

Change 325814 merged by jenkins-bot:
Bump static, striker, and wheels submodules

https://gerrit.wikimedia.org/r/325814

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-01-25T18:21:59Z] <bd808@tin> Starting deploy [striker/deploy@5aa3aa8]: Update Striker to 5aa3aa8 (T144710, T147024, T144712, T144711, T153935)

bd808 closed this task as "Resolved".Jan 25 2017, 7:24 PM
bd808 moved this task from Doing to Done on the Striker board.Sat, Mar 4, 3:53 AM